Keyboard doesn't auto-capitalize 'I'

Bug #1372948 reported by Jean-Baptiste Lallement on 2014-09-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Canonical Devices Products
ubuntu-keyboard
Fix Released
High
Michael Sheldon
ubuntu-keyboard (Ubuntu)
High
Michael Sheldon
ubuntu-keyboard (Ubuntu RTM)
High
Unassigned

Bug Description

In English 'I' is not auto-capitalized.

ProblemType: Bug
DistroRelease: Ubuntu 14.10
Package: ubuntu-keyboard 0.99.trunk.phablet2+14.10.20140910~rtm-0ubuntu1 [origin: Ubuntu RTM]
Uname: Linux 3.4.67 armv7l
ApportVersion: 2.14.7-0ubuntu1
Architecture: armhf
Date: Tue Sep 23 15:44:57 2014
InstallationDate: Installed on 2014-09-16 (7 days ago)
InstallationMedia: Ubuntu Utopic Unicorn (development branch) - armhf (20140916-030205)
SourcePackage: ubuntu-keyboard
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Jean-Baptiste Lallement (jibel) wrote :
Bill Filler (bfiller) on 2014-10-05
Changed in ubuntu-keyboard (Ubuntu):
importance: Undecided → High
status: New → Confirmed
assignee: nobody → Michael Sheldon (michael-sheldon)
tags: added: rtm14 touch-2014-10-23
Changed in ubuntu-keyboard:
status: New → Confirmed
importance: Undecided → High
assignee: nobody → Michael Sheldon (michael-sheldon)
Changed in ubuntu-keyboard:
status: Confirmed → In Progress
Changed in ubuntu-keyboard (Ubuntu):
status: Confirmed → In Progress
Bill Filler (bfiller) on 2014-11-12
tags: added: ota-1
removed: touch-2014-10-23
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-keyboard - 0.99.trunk.phablet2+15.04.20141119-0ubuntu1

---------------
ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141119-0ubuntu1) vivid; urgency=low

  [ Michael Sheldon ]
  * Send release signal for backspace if the user has swiped out of the
    key before releasing (LP: #1385518)
  * Calculate the similarity between the current user's input and the
    prediction candidate, if they differ too much make the user input
    the primary candidate for auto-completion. (LP: #1347796)
  * Stop the keyboard from updating IME hints whilst it hides (LP:
    #1370609)
  * Allow western language plugins to provide special corrections
    outside of the standard auto-correct engine (e.g. 'i' -> 'I'). (LP:
    #1372948)
  * Add Azerbaijani, Bosnian, Catalan and Croatian layouts
  * Reset the keyboard when the language plugin changes. (LP: #1335002)
  * Don't add duplicate candidates to the word ribbon when a candidate
    is pressed. (LP: #1393487)
  * Scale custom return key labels so that more characters fit and set
    correct default font size (LP: #1384810)

  [ Ubuntu daily release ]
  * New rebuild forced

  [ Dinko Osmankovic <email address hidden> ]
  * Add Azerbaijani, Bosnian, Catalan and Croatian layouts

  [ Mike Sheldon ]
  * Calculate the similarity between the current user's input and the
    prediction candidate, if they differ too much make the user input
    the primary candidate for auto-completion. (LP: #1347796)
  * Allow western language plugins to provide special corrections
    outside of the standard auto-correct engine (e.g. 'i' -> 'I'). (LP:
    #1372948)
 -- Ubuntu daily release <email address hidden> Wed, 19 Nov 2014 15:40:20 +0000

Changed in ubuntu-keyboard (Ubuntu):
status: In Progress → Fix Released
Changed in ubuntu-keyboard:
status: In Progress → Fix Released
Olli Ries (ories) on 2014-11-26
Changed in canonical-devices-system-image:
assignee: nobody → Canonical Devices Products (canonical-devices-products-team)
importance: Undecided → High
milestone: none → r1
status: New → Confirmed
Bill Filler (bfiller) on 2014-12-03
Changed in ubuntu-keyboard (Ubuntu RTM):
importance: Undecided → High
tags: added: ww51
Bill Filler (bfiller) on 2014-12-03
Changed in ubuntu-keyboard:
status: Fix Released → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-keyboard - 0.99.trunk.phablet2+15.04.20141204~rtm-0ubuntu1

---------------
ubuntu-keyboard (0.99.trunk.phablet2+15.04.20141204~rtm-0ubuntu1) 14.09; urgency=low

  [ Michael Sheldon ]
  * Automatically correct 'i' to 'I' when using the English language
    plugin. (LP: #1372948)
  * Fire release event when backspace key is swiped out of to stop the
    backspace getting stuck. (LP: #1385518)

  [ Ubuntu daily release ]
  * New rebuild forced
 -- Ubuntu daily release <email address hidden> Thu, 04 Dec 2014 21:51:47 +0000

Changed in ubuntu-keyboard (Ubuntu RTM):
status: New → Fix Released
Changed in canonical-devices-system-image:
status: Confirmed → Fix Released
Bill Filler (bfiller) on 2014-12-15
Changed in ubuntu-keyboard:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers